Save a box as a new base
curl --request POST \
--url https://api.example.com/v1/projects/{project}/bases \
--header 'Content-Type: application/json' \
--data '
{
"box": "<string>",
"name": "<string>",
"builder": "<string>",
"parent_alias": "<string>",
"parent_version": "<string>",
"script": "<string>",
"script_sha256": "<string>"
}
'import requests
url = "https://api.example.com/v1/projects/{project}/bases"
payload = {
"box": "<string>",
"name": "<string>",
"builder": "<string>",
"parent_alias": "<string>",
"parent_version": "<string>",
"script": "<string>",
"script_sha256": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
box: '<string>',
name: '<string>',
builder: '<string>',
parent_alias: '<string>',
parent_version: '<string>',
script: '<string>',
script_sha256: '<string>'
})
};
fetch('https://api.example.com/v1/projects/{project}/bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"name": "<string>",
"size_bytes": 1,
"version": "<string>"
}Bases
Save a box as a new base
POST
/
v1
/
projects
/
{project}
/
bases
Save a box as a new base
Path Parameters
Project name
Body
application/json
⌘I